#define MIDI_CSR	0xfffc04
#define	MIDI_DATA	0xfffc06

typedef struct {
	char *buffer;		/*	buffer that holds midi Data	*/
	int	head;
	int tail;
	int size;
	int flag;
}MIDI_BUFFER;

#define BUFFER	0	/*	offsets for accessing BUFFER struct	*/
#define	HEAD	4
#define	TAIL	6
#define	SIZE	8
#define FLAG	10

#define	ENABLE_TX	0x20

/*
** Midi handler function numbers
*/

#define MIDIGET	0
#define MIDIPUT	1
#define MIDISTATIN	2
#define MIDISTATOUT	3
#define GET_MIDINREC	4
#define GET_MIDOUTREC	5
#define MIDIWS	6	/*	write a string of midi data	*/
#define	DISABLE_INTERRUTS	7
#define	ENABLE_INTERRUTS	8

extern midi_vec();
extern midin();
extern init_midput();
extern midput();
extern mim();
extern	midinstat();
extern	midputstat();
extern	enable_interrupts();
extern	disable_interrupts();
extern	get_inrec();
extern	get_outrec();
extern	ms_write();

MIDI_BUFFER *get_midi_out_rec();
MIDI_BUFFER *get_midi_in_rec();
